﻿* Encoding: UTF-8.
/* SPSS Data Definition File
/* Modified by Jordan Raghunandan, Map and Data Library, University of Toronto, January, 2017
TITLE '1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EANFMA10'.
SUBTITLE 'SPSS commands by S Kumar, UT/DLS 07/2001'.
FILE HANDLE in NAME='x'  LRECL=727.     /* Replace 'x' with input file path name for corresponding .asc file 
DATA LIST FILE=in/  
    PROV            1 -      2
    FED             3 -      5
    EA              6 -      8
    CD              9 -     10
    CSD            11 -     14
    SGCCDCSD       15 -     19
    CSDSIZE        20 -     20
    CSDTYPE        21 -     22
    CCS            23 -     26
    CMACA          27 -     29
    CMACAPT        30 -     30
    CMACASEL       31 -     31
    SGCCMACA       32 -     34
    CMACASIZ       35 -     35
    CTPCTCOD       36 -     39
    CTPCTNUM       40 -     45
    SUBPREG        46 -     47
    URBRUR         48 -     48
    URBSIZE        49 -     49
    BLANK1         50 -     51
    RECTYPE        52 -     52
    V1             53 -     61
    V2             62 -     70
    V3             71 -     79
    V4             80 -     88
    V5             89 -     97
    V6             98 -    106
    V7            107 -    115
    V8            116 -    124
    V9            125 -    133
    V10           134 -    142
    V11           143 -    151
    V12           152 -    160
    V13           161 -    169
    V14           170 -    178
    V15           179 -    187.
VARIABLE LABELS
  PROV      'Province (region)'
  FED       'Federal electroral district'
  EA        'Enumeration area'
  CD        'Census division'
  CSD       'Census subdivision'
  SGCCDCSD  'Standard geographic code for CD/CSD'
  CSDSIZE   'Census subdivision pop size gp'
  CSDTYPE   'Census subdivision type code'
  CCS       'Census consolidated subdivision'
  CMACA     'CMA/CA area code'
  CMACAPT   'CMA/CA part'
  CMACASEL  'CMA/CA selector'
  SGCCMACA  'Standard geographic code for CMA-CA'
  CMACASIZ  'CMA-CA pop size gp'
  CTPCTCOD  'Census tract or prov CT code'
  CTPCTNUM  'Census tract or prov CT number'
  SUBPREG   'Subprovincial region'
  URBRUR    'Urban-Rural area'
  URBSIZE   'Urban area pop size gp'
  BLANK1    'Blank- for future use'
  RECTYPE   'Record type'
  V1        'Non-fam persons: tot'
  V2        'Non-fam persons: males'
  V3        'Non-fam persons: females'
  V4        'Related to hd of hhd: tot'
  V5        'Related to hd of hhd: males'
  V6        'Related to hd of hhd: females'
  V7        'Not related to hd of hhd: tot'
  V8        'Not related to hd of hhd: males'
  V9        'Not related to hd of hhd: females'
  V10       'Tot non-hd of hhd: tot'
  V11       'Tot non-hd of hhd: males'
  V12       'Tot non-hd of hhd: females'
  V13       'Hd of hhd:tot'
  V14       'Hd of hhd: males'
  V15       'Hd of hhd: females'.
VALUE LABELS
    PROV      10          'NEWFOUNDLAND'
          11          'PR EDWARD ISLAND'
          12          'NOVA SCOTIA'
          13          'NEW BRUNSWICK'
          24          'QUEBEC'
          35          'ONTARIO'
          46          'MANITOBA'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
          59          'BRITISH COLUMBIA'
          60          'YUKON TERRITORY'
          61          'NW TERRITORIES'
          00          'CANADA'
         /
    CSDSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
         /
    CMACAPT   1           'CENTRAL CITY'
          2           'REMAINDER OF CORE'
          3           'URBAN FRINGE'
          4           'RURAL FRINGE'
          0           'NOT A CMA/CA'
         /
    CMACASEL  1           'CMA'
          2           'CA'
          0           'NOT CMA OR CA'
         /
    CMACASIZ  1           '100000 & UP'
          2           '50000-99999'
          3           '25000-49999'
          4           '10000-24999'
          5           '5000-9999'
          6           '2000-4999'
          7           '1000-1999'
          0           'NOT A CMA-CA'
         /
    URBRUR    1           'URBAN'
          0           'RURAL'
         /
    URBSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
          0           'RURAL'
         /
    RECTYPE   1           'CANADA'
          2           'PROV & TERRITORIES'
          3           'FED ED'
          5           'ENUM AREA'
         /.
SAVE OUTFILE= 'y'  /* Replace 'y' with name to give your system file
 /MAP
 /COMPRESSED. /* Delete this line if you want an uncompressed file